package ibase.webitm.ejb.mfg ;
import ibase.webitm.ejb.ValidatorRemote;
import java.rmi.RemoteException;
import javax.ejb.*;
import ibase.webitm.utility.*;
import org.w3c.dom.*;
import javax.ejb.Remote; // added for ejb3

@Remote // added for ejb3

public interface WOMultiReceiptRemote extends ValidatorRemote//, EJBObject
{
	public abstract String wfValData() throws RemoteException, ITMException;
   	public abstract String wfValData(String s, String s1, String s2, String s3, String s4,String s5) throws RemoteException, ITMException;
	public abstract String wfValData(Document document, Document document1, Document document2, String s, String s1, String s2) throws RemoteException, ITMException;
	public abstract String itemChanged() throws RemoteException, ITMException;
	public abstract String itemChanged(String s, String s1, String s2, String s3, String s4, String s5, String s6) throws RemoteException, ITMException;
	public abstract String itemChanged(Document document, Document document1, Document document2, String s, String s1, String s2, String s3) throws RemoteException, ITMException;

}
